# JvmTestSuiteTarget

@Incubating
interface JvmTestSuiteTarget : TestSuiteTarget, Named

Defines the target environment against which a JvmTestSuite will be run.

#### Since

7.3

## Functions

getBinaryResultsDirectory
Link copied to clipboard
abstract fun getBinaryResultsDirectory(): DirectoryProperty
getName
Link copied to clipboard
abstract fun getName(): String
getTestTask
Link copied to clipboard
abstract fun getTestTask(): TaskProvider<Test>
The Test task that runs the tests for the associated test suite.